# -*- encoding: utf-8 -*-
# stub: rubocop-csa 0.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "rubocop-csa".freeze
  s.version = "0.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/CloudSecurityAlliance/rubocop-csa/issues", "changelog_uri" => "https://github.com/CloudSecurityAlliance/rubocop-csa/releases/tag/v0.0.2", "source_code_uri" => "https://github.com/CloudSecurityAlliance/rubocop-csa/tree/v0.0.2" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Cloud Security Alliance".freeze]
  s.date = "2021-07-01"
  s.description = "Provides a centralized location for CSA's commonly used RuboCop overrides.".freeze
  s.email = "support@cloudsecurityalliance.org".freeze
  s.homepage = "https://github.com/CloudSecurityAlliance/rubocop-csa".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "RuboCop preferences for CSA".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rubocop>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<rubocop-performance>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<rubocop-rake>.freeze, ["~> 0.6"])
    s.add_runtime_dependency(%q<rubocop-thread_safety>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<rubocop-faker>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.0"])
  else
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rubocop-performance>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rubocop-rake>.freeze, ["~> 0.6"])
    s.add_dependency(%q<rubocop-thread_safety>.freeze, ["~> 0.4"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<rubocop-faker>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 2.0"])
  end
end
